NNG_HTTP_REQ_RESET(3http)

NAME
nng_http_req_reset - reset HTTP request structure

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_req_reset(nng_http_req *req);

DESCRIPTION

The nng_http_req_reset() function resets the request req so that it is just as if it had been freshly allocated with nng_http_req_alloc() with a NULL URL.

    Note

    Before using this with an HTTP operation, the URI must be set using nng_http_req_set_uri().

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_req_alloc(3http), nng_http_req_set_uri(3http), nng(7)